Bug 1120382 (CVE-2014-2494)

Summary: CVE-2014-2494 mysql: unspecified vulnerability related to ENARC (CPU July 2014)
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: abaron, aortega, apevec, ayoung, byte, chrisw, dallan, databases-maint, gkotton, hhorak, jdornak, jorton, jstanek, lhh, lpeer, markmc, mmaslano, rbryant, rohara, sashaikh, sclewis, yeylon
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20140415,reported=20140415,source=internet,cvss2=4/AV:N/AC:L/Au:S/C:N/I:N/A:P,rhel-5/mysql55-mysql=affected,rhel-6/mysql=new,rhel-7/mariadb=affected,rhscl-1/mysql55-mysql=affected,rhscl-1/mariadb55-mariadb=affected,fedora-all/community-mysql=affected,fedora-all/mariadb=affected,openstack-5/mariadb-galera=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-12-17 06:16:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1120390, 1120391, 1162374, 1162375    
Bug Blocks: 1120389, 1165433    

Description Vincent Danen 2014-07-16 19:48:33 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: ENARC). Supported versions that are affected are 5.5.37 and earlier. Easily exploitable vulnerability allows successful authenticated network attacks via multiple protocols. Successful attack of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. 


External References:

http://www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html#AppendixMSQL

Comment 1 Vincent Danen 2014-07-16 19:56:39 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1120391]

Comment 2 Vincent Danen 2014-07-16 19:56:41 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1120390]

Comment 3 Huzaifa S. Sidhpurwala 2014-07-22 08:35:38 UTC
Statement:

(none)

Comment 4 Tomas Hoger 2014-07-28 08:56:56 UTC
ENARC seems to be an abbreviation for Archive storage engine, which is non-default storage engine.

Comment 5 Vincent Danen 2014-09-30 21:27:24 UTC
Based on timing, it looks like 5.5.39 should fix this, but it's impossible to know for sure as the release notes don't indicate security fixes or reference any CVEs:

http://dev.mysql.com/doc/relnotes/mysql/5.5/en/news-5-5-39.html

Comment 6 errata-xmlrpc 2014-11-17 09:45:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1859 https://rhn.redhat.com/errata/RHSA-2014-1859.html

Comment 7 errata-xmlrpc 2014-11-17 09:56:22 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS

Via RHSA-2014:1862 https://rhn.redhat.com/errata/RHSA-2014-1862.html

Comment 8 errata-xmlrpc 2014-11-17 09:57:40 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS

Via RHSA-2014:1860 https://rhn.redhat.com/errata/RHSA-2014-1860.html

Comment 9 errata-xmlrpc 2014-11-17 11:06:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1861 https://rhn.redhat.com/errata/RHSA-2014-1861.html

Comment 10 errata-xmlrpc 2014-12-02 16:49:08 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 6

Via RHSA-2014:1937 https://rhn.redhat.com/errata/RHSA-2014-1937.html

Comment 11 errata-xmlrpc 2014-12-02 17:01:04 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7

Via RHSA-2014:1940 https://rhn.redhat.com/errata/RHSA-2014-1940.html